complexType "RequestEventStatus"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 attributes, 9 elements
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, (parentCorrelationId?, correlationId[0..2], sequenceNumber?)?, onBehalfOf[0..4]?, businessProcess?, eventIdentifier?, (party*, account*)?
</...>

Content Model Elements (9):

  account, businessProcess, correlationId, eventIdentifier (in requestEventStatus), header (defined in RequestMessage complexType), | onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, party (defined in PartiesAndAccounts.model group), sequenceNumber (defined in Sequence.model group)

All Direct / Indirect Based Elements (1):

  requestEventStatus

Known Usage Locations

- As direct type of elements (1):
  requestEventStatus

Annotation
A type defining the content model for a message allowing one party to query the status of one event (trade or post-trade event) previously sent to another party.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) NonCorrectableRequestMessage (extension) RequestEventStatus

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="RequestEventStatus"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="businessProcess" type="BusinessProcess"/> <xsd:element minOccurs="0" name="eventIdentifier" type="EventIdentifier"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/9)
businessProcess

  Type: | BusinessProcess, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="businessProcess" type="BusinessProcess"/>

eventIdentifier

  Type: | EventIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="eventIdentifier" type="EventIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.